prosody-0.9.13-2.3.1.x86_64.rpm


Advertisement

Description

prosody - Modern flexible communications server for Jabber/XMPP

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package name prosody
Package version 0.9.13
Package release 2.3.1
Package architecture x86_64
Package type rpm
Installed size 915.64 KB
Download size 219.11 KB
Official Mirror ftp.gwdg.de
Prosody is a flexible communications server for Jabber/XMPP written in Lua.
It aims to be easy to use, and light on resources.
For developers it aims to be easy to extend and give a flexible system
on which to rapidly develop added functionality, or prototype new protocols.

Alternatives

Package Version Architecture Repository
prosody-0.9.14-2.9.1.x86_64.rpm 0.9.14 x86_64 openSUSE Update Oss
prosody-0.9.13-2.6.1.x86_64.rpm 0.9.13 x86_64 openSUSE Update Oss
prosody-0.9.12-1.19.x86_64.rpm 0.9.12 x86_64 openSUSE Oss
prosody - - -

Requires

Name Value
/usr/bin/env -
libc.so.6(GLIBC_2.14)(64bit) -
libcrypto.so.1.0.0()(64bit) -
libidn.so.11()(64bit) -
libidn.so.11(LIBIDN_1.0)(64bit) -
lua51 -
lua51-luaexpat -
lua51-luafilesystem -
lua51-luasec -
lua51-luasocket -
permissions -
pwdutils -
systemd -

Provides

Name Value
config(prosody) = 0.9.13-2.3.1
encodings.so()(64bit) -
hashes.so()(64bit) -
net.so()(64bit) -
pposix.so()(64bit) -
prosody = 0.9.13-2.3.1
prosody(x86-64) = 0.9.13-2.3.1
signal.so()(64bit) -

Download

Type URL
Binary Package prosody-0.9.13-2.3.1.x86_64.rpm
Source Package prosody-0.9.13-2.3.1.src.rpm

Install Howto

Install prosody rpm package:

# zypper install prosody

Files

Path
/etc/prosody/prosody.cfg.lua
/etc/prosody/certs/Makefile
/etc/prosody/certs/example.com.cnf
/etc/prosody/certs/example.com.crt
/etc/prosody/certs/example.com.key
/etc/prosody/certs/localhost.cnf
/etc/prosody/certs/localhost.crt
/etc/prosody/certs/localhost.key
/etc/prosody/certs/openssl.cnf
/run/prosody/
/usr/bin/prosody
/usr/bin/prosodyctl
/usr/lib/systemd/system/prosody.service
/usr/lib/tmpfiles.d/prosody.conf
/usr/lib64/prosody/prosody.version
/usr/lib64/prosody/core/certmanager.lua
/usr/lib64/prosody/core/configmanager.lua
/usr/lib64/prosody/core/hostmanager.lua
/usr/lib64/prosody/core/loggingmanager.lua
/usr/lib64/prosody/core/moduleapi.lua
/usr/lib64/prosody/core/modulemanager.lua
/usr/lib64/prosody/core/portmanager.lua
/usr/lib64/prosody/core/rostermanager.lua
/usr/lib64/prosody/core/s2smanager.lua
/usr/lib64/prosody/core/sessionmanager.lua
/usr/lib64/prosody/core/stanza_router.lua
/usr/lib64/prosody/core/storagemanager.lua
/usr/lib64/prosody/core/usermanager.lua
/usr/lib64/prosody/modules/mod_admin_adhoc.lua
/usr/lib64/prosody/modules/mod_admin_telnet.lua
/usr/lib64/prosody/modules/mod_announce.lua
/usr/lib64/prosody/modules/mod_auth_anonymous.lua
/usr/lib64/prosody/modules/mod_auth_cyrus.lua
/usr/lib64/prosody/modules/mod_auth_internal_hashed.lua
/usr/lib64/prosody/modules/mod_auth_internal_plain.lua
/usr/lib64/prosody/modules/mod_bosh.lua
/usr/lib64/prosody/modules/mod_c2s.lua
/usr/lib64/prosody/modules/mod_component.lua
/usr/lib64/prosody/modules/mod_compression.lua
/usr/lib64/prosody/modules/mod_dialback.lua
/usr/lib64/prosody/modules/mod_disco.lua
/usr/lib64/prosody/modules/mod_groups.lua
/usr/lib64/prosody/modules/mod_http.lua
/usr/lib64/prosody/modules/mod_http_errors.lua
/usr/lib64/prosody/modules/mod_http_files.lua
/usr/lib64/prosody/modules/mod_iq.lua
/usr/lib64/prosody/modules/mod_lastactivity.lua
/usr/lib64/prosody/modules/mod_legacyauth.lua
/usr/lib64/prosody/modules/mod_message.lua
/usr/lib64/prosody/modules/mod_motd.lua
/usr/lib64/prosody/modules/mod_net_multiplex.lua
/usr/lib64/prosody/modules/mod_offline.lua
/usr/lib64/prosody/modules/mod_pep.lua
/usr/lib64/prosody/modules/mod_ping.lua
/usr/lib64/prosody/modules/mod_posix.lua
/usr/lib64/prosody/modules/mod_presence.lua
/usr/lib64/prosody/modules/mod_privacy.lua
/usr/lib64/prosody/modules/mod_private.lua
/usr/lib64/prosody/modules/mod_proxy65.lua
/usr/lib64/prosody/modules/mod_pubsub.lua
/usr/lib64/prosody/modules/mod_register.lua
/usr/lib64/prosody/modules/mod_roster.lua
/usr/lib64/prosody/modules/mod_saslauth.lua
/usr/lib64/prosody/modules/mod_storage_internal.lua
/usr/lib64/prosody/modules/mod_storage_none.lua
/usr/lib64/prosody/modules/mod_storage_sql.lua
/usr/lib64/prosody/modules/mod_time.lua
/usr/lib64/prosody/modules/mod_tls.lua
/usr/lib64/prosody/modules/mod_uptime.lua
/usr/lib64/prosody/modules/mod_vcard.lua
/usr/lib64/prosody/modules/mod_version.lua
/usr/lib64/prosody/modules/mod_watchregistrations.lua
/usr/lib64/prosody/modules/mod_welcome.lua
/usr/lib64/prosody/modules/sql.lib.lua
/usr/lib64/prosody/modules/adhoc/adhoc.lib.lua
/usr/lib64/prosody/modules/adhoc/mod_adhoc.lua
/usr/lib64/prosody/modules/mod_s2s/mod_s2s.lua
/usr/lib64/prosody/modules/mod_s2s/s2sout.lib.lua
/usr/lib64/prosody/modules/muc/mod_muc.lua
/usr/lib64/prosody/modules/muc/muc.lib.lua
/usr/lib64/prosody/modules/storage/mod_xep0227.lua
/usr/lib64/prosody/modules/storage/sqlbasic.lib.lua
/usr/lib64/prosody/modules/storage/xep227store.lib.lua
/usr/lib64/prosody/net/adns.lua
/usr/lib64/prosody/net/connlisteners.lua
/usr/lib64/prosody/net/dns.lua
/usr/lib64/prosody/net/http.lua
/usr/lib64/prosody/net/httpserver.lua
/usr/lib64/prosody/net/server.lua
/usr/lib64/prosody/net/server_event.lua
/usr/lib64/prosody/net/server_select.lua
/usr/lib64/prosody/net/http/codes.lua
/usr/lib64/prosody/net/http/parser.lua
/usr/lib64/prosody/net/http/server.lua
/usr/lib64/prosody/util/adhoc.lua
/usr/lib64/prosody/util/array.lua
/usr/lib64/prosody/util/caps.lua
/usr/lib64/prosody/util/dataforms.lua
/usr/lib64/prosody/util/datamanager.lua
/usr/lib64/prosody/util/datetime.lua
/usr/lib64/prosody/util/debug.lua
/usr/lib64/prosody/util/dependencies.lua
/usr/lib64/prosody/util/encodings.so
/usr/lib64/prosody/util/envload.lua
/usr/lib64/prosody/util/events.lua
/usr/lib64/prosody/util/filters.lua
/usr/lib64/prosody/util/hashes.so
/usr/lib64/prosody/util/helpers.lua
/usr/lib64/prosody/util/hmac.lua
/usr/lib64/prosody/util/http.lua
/usr/lib64/prosody/util/import.lua
/usr/lib64/prosody/util/ip.lua
/usr/lib64/prosody/util/iterators.lua
/usr/lib64/prosody/util/jid.lua
/usr/lib64/prosody/util/json.lua
/usr/lib64/prosody/util/logger.lua
/usr/lib64/prosody/util/multitable.lua
/usr/lib64/prosody/util/net.so
/usr/lib64/prosody/util/openssl.lua
/usr/lib64/prosody/util/pluginloader.lua
/usr/lib64/prosody/util/pposix.so
/usr/lib64/prosody/util/prosodyctl.lua
/usr/lib64/prosody/util/pubsub.lua
/usr/lib64/prosody/util/rfc6724.lua
/usr/lib64/prosody/util/sasl.lua
/usr/lib64/prosody/util/sasl_cyrus.lua
/usr/lib64/prosody/util/serialization.lua
/usr/lib64/prosody/util/set.lua
/usr/lib64/prosody/util/signal.so
/usr/lib64/prosody/util/sql.lua
/usr/lib64/prosody/util/stanza.lua
/usr/lib64/prosody/util/template.lua
/usr/lib64/prosody/util/termcolours.lua
/usr/lib64/prosody/util/throttle.lua
/usr/lib64/prosody/util/timer.lua
/usr/lib64/prosody/util/uuid.lua
/usr/lib64/prosody/util/watchdog.lua
/usr/lib64/prosody/util/x509.lua
/usr/lib64/prosody/util/xml.lua
/usr/lib64/prosody/util/xmppstream.lua
/usr/lib64/prosody/util/sasl/anonymous.lua
/usr/lib64/prosody/util/sasl/digest-md5.lua
/usr/lib64/prosody/util/sasl/plain.lua
/usr/lib64/prosody/util/sasl/scram.lua
/usr/sbin/rcprosody
/usr/share/man/man1/prosodyctl.1.gz
/var/lib/prosody/
/var/log/prosody/

Changelog

2018-05-14 - mvetter@suse.com
- bsc#1093088 Update to 0.9.13:
Security:
* Fix for compatibility with LuaSocket 3.0rc1 (fixes denial of service from remote)
* mod_register: Require encryption before registration if c2s_require_encryption is set (fixes #595[1])
* MUC: Ensure that elements which match our from are stripped (fixes #1055[2])
Fixes and improvements:
* Compatibility fix with newer LuaSec 0.6 (fixes #781[3])
* mod_presence: Send probe once subscribed (fixes #794[4])
* mod_net_multiplex: Enable SSL on the SSL port (fixes #803[5])
Minor changes:
* core.rostermanager: Add method for checking if the user is subscribed to a contact
* mod_saslauth: Log SASL failure reason
* mod_disco: Correctly set the 'node' attr (fixes #449)
* mod_bosh: Update session.conn to point to the current connection (fixes #890)
* net.dns: Simplify expiry calculation (fixes #919)
* mod_watchregistrations: Return the pointer to the root of the stanza, fixes #922.
* mod_disco: Add an account/registered identity on subscribed accounts, fixes #826.
* mod_welcome: Return the pointer to the root of the stanza, fixes a bug similar to #922.
* net.dns: Prevent answers from immediately expiring even if TTL=0 (see #919)
* mod_saslauth: Use correct varible name (thanks Roi)
* mod_c2s: Iterate over child tags instead of child nodes in stream error (fixes traceback from #987)
* mod_component, mod_s2s: Iterate over child tags instead of child nodes (can include text) in stream error (same as 176b7f4e4ac9)
* MUC: Always send subject message, even if it is empty (fixes #1053)
* MUC: fix the @from on in history replay (fixes #1054)
* MUC: Rename variable to make it clearer that it is the room JID and not the MUC host
2017-01-11 - Mathias.Homann@opensuse.org
- added patch: prosody-lua51coexist.patch
* makes prosody work on systems that have lua 5.1 and lua 5.2 installed.
2017-01-11 - mvetter@suse.com
- Update to 0.9.12:
* Dependencies: Fix certificate verification failures when using LuaSec 0.6 (fixes #781)
* mod_s2s: Lower log message to 'warn' level, standard for remotely-triggered protocol issues
* certs/Makefile: Remove -c flag from chmod call (a GNU extension)
* Networking: Prevent writes after a handler is closed (fixes #783)
2016-11-04 - mvetter@suse.com
- Update to 0.9.11:
* HTTP parser: Improve buffering of incoming HTTP data and add size
limits (#603)
* Sessionmanager: Fix for an issue which caused people to be kicked from conferences if mod_smacks was enabled (#648)
* Dependencies: Workaround for compatibility with LuaSec 0.6 (#749)
* MUC: Accept missing form as "instant room" request (#377)
* C2S: Fix issues with destroying disconnected connections (#590), (#641)
* mod_privacy: Fix selection of the top resource(s) #694
* mod_presence: Make sure both users get each others presence after adding each other (#673)
* mod_http_files: Fix traceback when serving a non-wildcard path (#611)
* mod_http_files: Preserve a trailing slash in paths (#639)
* util.datamanager: Fix error handling (#632)
* net.server_event: Fix internal socket API to allow writing from socket.ondrain callback (#661)
* net.server_event: Fix timeout (commit 1909bde0e79f)
* net.server_event: Fix traceback due to write during TLS handshake (commit c774622ad9db)
* net.server_event: Fix buffer length check (commit 206f9b0485ad)
- Remove prosody-upstream-0.9-branch-fixes.patch: included in update
2016-10-11 - mvetter@suse.com
- Change license to MIT
2016-09-15 - mvetter@suse.com
- Add prosody-upstream-0.9-branch-fixes.patch:
Upstream pushes all fixes for a certain release to its own branch.
See: https://prosody.im/files/branches_explained.png
After some time, mostly when a security bug is found, they do a
new minor release.
The fixes however are often needed to make prosody run smoothly
with its community modules. Thus I monitor them and add the patch
set. It's only fixes no new features.
2016-06-17 - mvetter@suse.com
- Remove prosody-rpmlintrc: Not needed since last cleanup

See Also

Package Description
proteus-4.2.1-3.1.noarch.rpm A library to access Tryton's modules like a client
protoc-gen-go-0.0.0+git20170217.69b215d-5.1.x86_64.rpm Go support for Protocol Buffers - Google's data interchange format
psmisc-22.21-10.1.x86_64.rpm Utilities for managing processes on your system
psmisc-lang-22.21-10.1.noarch.rpm Languages for package psmisc
pspp-0.10.2-5.1.x86_64.rpm A program for statistical analysis of sampled data
pspp-1.0.1-8.1.x86_64.rpm A program for statistical analysis of sampled data
pspp-devel-0.10.2-5.1.x86_64.rpm Include Files and Libraries mandatory for Development
pspp-devel-1.0.1-8.1.x86_64.rpm Include Files and Libraries mandatory for Development
ptpd-2.3.1-8.1.x86_64.rpm Implements the Precision Time protocol as defined by IEEE 1588 standard
pullin-bcm43xx-firmware-1.0-9.1.noarch.rpm download broadcom firmware files
pulseaudio-9.0-5.1.x86_64.rpm A Networked Sound Server
pulseaudio-9.0-8.1.x86_64.rpm A Networked Sound Server
pulseaudio-bash-completion-9.0-5.1.x86_64.rpm PulseAudio Bash completion
pulseaudio-bash-completion-9.0-8.1.x86_64.rpm PulseAudio Bash completion
pulseaudio-esound-compat-9.0-5.1.x86_64.rpm ESOUND compatibility for PulseAudio
Advertisement
Advertisement